.story {
	background: #245852;
	color: white;
	padding: 229px 0 176px;
}

.story__container {
	display: flex;
	justify-content: space-between;
	align-items: center;
	column-gap: 30px;
}

.story__content {
	max-width: 580px;
}

.story__title {
	font-size: 50px;
	font-weight: 700;
	line-height: 157%;
	font-family: 'Georgia', serif;
}

.story__title + * {
	margin-top: 33px;
}

.story__text {
	font-weight: 600;
	font-size: 25px;
	line-height: 157%;
}

.story__text + * {
	margin-top: 57px;
}

.story__button {
	display: flex;
}

.story__video {
	max-width: 895px;
	position: relative;
	border-radius: 18px;
	overflow: hidden;
}

.story__video-overlay {
	position: absolute;
	left: 0;
	top: 0;
	z-index: 1;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, 0.2);
	transition: opacity 0.2s ease;
}

.story__video-overlay.hidden {
	opacity: 0;
}

.story__video-button {
	position: absolute;
	left: 50%;
	top: 50%;
	transform: translate(-50%, -50%);
}

.story__video-object {
	max-width: 100%;
	height: auto;
	vertical-align: top;
}

@media (max-width: 1199px) {
	.story {
		padding: 90px 0 90px;
	}

	.story__container {
		flex-direction: column-reverse;
	}

	.story__video {
		margin-bottom: 40px;
	}

	.story__title {
		font-size: 40px;
		line-height: 130%;
	}

	.story__text {
		font-size: 20px;
		line-height: 130%;
	}

	.story__text + * {
		margin-top: 30px;
	}
}

@media (max-width: 991px) {
	.story {
		padding: 60px 0 60px;
	}

	.story__title {
		font-size: 30px;
		line-height: 130%;
	}

	.story__text {
		font-size: 18px;
		line-height: 130%;
	}

	.story__text + * {
		margin-top: 20px;
	}
}
